Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80060 - sendmail doesn't like all-digits usernames
Summary: sendmail doesn't like all-digits usernames
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-19 13:01 UTC by Bastien Nocera
Modified: 2008-12-11 18:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 10:22:06 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2002-12-19 13:01:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
sendmail -bv 10342 responds with "10342... user unknown". ldapsearch -x
'(uid=10242)'  gives the right entry.
su - 10342 also works. Using "sendmail -bv testuser" I got "testuser...
deliverable: mailer local, user testuser"
Both accounts are only in the same ldap-subtree - not local. It seems that every
account containing only digits doesn't
work. Under RH 7.3 (sendmail.8.11.6-15) - same configuration - I get the the
correct result for 10342

How reproducible:
Always

Steps to Reproduce:
1. sendmail -bv 10342

Actual Results:  10342... user unknown". ldapsearch -x '(uid=10242)

Expected Results:  10342... deliverable: mailer local, user 10342

Additional info:

Under RH 8.0 with default sendmail.mc

Comment 1 Juergen Weiss 2002-12-19 13:39:07 UTC
I downloaded sendmail.8.12.5 and sendmail.8.12.6 from sendmail.org and built the
binary. Both work with sendmail -bv 4711

Comment 2 Juergen Weiss 2002-12-19 20:35:30 UTC
The behaviour not resolving local logins containing all-digits seems specific to
RH 8.0 sendmail.

Comment 3 Juergen Weiss 2003-01-02 16:31:46 UTC
Is there any progress towards a solution ?

Comment 4 Florian La Roche 2003-01-06 14:39:35 UTC
Seems disabling hesiod is fixing this as a shortterm fix, it should have nothing
todo with RHL7.x versus RHL8 sendmail rpms.

greetings,

Florian La Roche

Comment 5 Juergen Weiss 2003-01-08 10:19:23 UTC
Thanks for respondig:

1) Hesiod is not enabled ( I assume thats the default )
2) When installing from sendmail.org ( same tar file as in semdmails SRPM 
   (md5sum)). An all digit-usename is accepted ( sendmail -b 4711 )


Comment 6 Florian La Roche 2003-01-13 10:22:06 UTC
Should be fixed in 8.12.7-3 or newer.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.